<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:34 UTC 2019 -->
<title>TollCostVehicleProfile (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TollCostVehicleProfile (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TollCostVehicleProfile.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/tce/TollCostResult.html" title="class in com.here.android.mpa.tce"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.EmissionType.html" title="enum in com.here.android.mpa.tce"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/tce/TollCostVehicleProfile.html" target="_top">Frames</a></li>
<li><a href="TollCostVehicleProfile.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.tce</div>
<h2 title="Class TollCostVehicleProfile" class="title">Class TollCostVehicleProfile</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.tce.TollCostVehicleProfile</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">TollCostVehicleProfile</span>
extends java.lang.Object</pre>
<div class="block">Specify vehicle parameters to calculate toll cost. This class can be used to create
 <a href="../../../../../com/here/android/mpa/tce/TollCostOptions.html" title="class in com.here.android.mpa.tce"><code>TollCostOptions</code></a> that can be further used in <a href="../../../../../com/here/android/mpa/tce/TollCostRequest.html" title="class in com.here.android.mpa.tce"><code>TollCostRequest</code></a> to make request for
 toll cost .</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/tce/TollCostOptions.html#setVehicleProfile-com.here.android.mpa.tce.TollCostVehicleProfile-"><code>TollCostOptions.setVehicleProfile(TollCostVehicleProfile)</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.EmissionType.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.EmissionType</a></span></code>
<div class="block">Vehicle emission type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.Hybrid.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.Hybrid</a></span></code>
<div class="block">Vehicle running mode.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.ShippedHazardousGoods.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.ShippedHazardousGoods</a></span></code>
<div class="block">Shipped Hazardous Goods</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.TrailersCount.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.TrailersCount</a></span></code>
<div class="block">Trailers count.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.TrailerType.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.TrailerType</a></span></code>
<div class="block">Trailer Type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.VehicleType.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.VehicleType</a></span></code>
<div class="block">Represent different Vehicle types.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#TollCostVehicleProfile--">TollCostVehicleProfile</a></span>()</code>
<div class="block">public constructor</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object obj)</code> </td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.EmissionType.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.EmissionType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#getEmissionType--">getEmissionType</a></span>()</code>
<div class="block">Gets vehicle emission type.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#getHeight--">getHeight</a></span>()</code>
<div class="block">Gets vehicle height in meters.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#getHeightAbove1stAxle--">getHeightAbove1stAxle</a></span>()</code>
<div class="block">Gets height above 1st axle in meters.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.Hybrid.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.Hybrid</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#getHybridMode--">getHybridMode</a></span>()</code>
<div class="block">Gets vehicle running mode.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#getLimitedWeight--">getLimitedWeight</a></span>()</code>
<div class="block">Gets total weight of the vehicle including trailer(s) or caravan in tonne.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#getPassengersCount--">getPassengersCount</a></span>()</code>
<div class="block">Gets number of passengers can fit in vehicle.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.ShippedHazardousGoods.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.ShippedHazardousGoods</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#getShippedHazardousGoods--">getShippedHazardousGoods</a></span>()</code>
<div class="block">Gets hazardous goods transported in the vehicle.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#getTiresCount--">getTiresCount</a></span>()</code>
<div class="block">Gets vehicle's tires count.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.TrailersCount.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.TrailersCount</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#getTrailerCount--">getTrailerCount</a></span>()</code>
<div class="block">Gets trailer count.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#getTrailerHeight--">getTrailerHeight</a></span>()</code>
<div class="block">Gets trailer height in meters.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#getTrailerNumberAxles--">getTrailerNumberAxles</a></span>()</code>
<div class="block">Gets number of trailer's axles.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.TrailerType.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.TrailerType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#getTrailerType--">getTrailerType</a></span>()</code>
<div class="block">Gets trailer type.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#getVehicleAxles--">getVehicleAxles</a></span>()</code>
<div class="block">Gets number of vehicle's axles (not including trailer axles).</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.VehicleType.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.VehicleType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#getVehicleType--">getVehicleType</a></span>()</code>
<div class="block">Gets vehicle type.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#getWeight--">getWeight</a></span>()</code>
<div class="block">Gets vehicle weight in tonne.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#hashCode--">hashCode</a></span>()</code> </td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#isCommercial--">isCommercial</a></span>()</code>
<div class="block">Gets if the vehicle is designed for commercial use.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#isDisabledEquipped--">isDisabledEquipped</a></span>()</code>
<div class="block">Gets if the vehicle is specially equipped for transporting disabled people.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setCommercial-boolean-">setCommercial</a></span>(boolean commercial)</code>
<div class="block">Sets if the vehicle is designed for commercial use.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setDisabledEquipped-boolean-">setDisabledEquipped</a></span>(boolean enable)</code>
<div class="block">Sets if the vehicle is specially equipped for transporting disabled people.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setEmissionType-com.here.android.mpa.tce.TollCostVehicleProfile.EmissionType-">setEmissionType</a></span>(<a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.EmissionType.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.EmissionType</a> emissionType)</code>
<div class="block">Sets vehicle emission type.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setHeight-double-">setHeight</a></span>(double height)</code>
<div class="block">Sets vehicle height in meters.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setHeightAbove1stAxle-int-">setHeightAbove1stAxle</a></span>(int heightAbove1stAxle)</code>
<div class="block">Sets height above 1st axle in meters.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setHybridMode-com.here.android.mpa.tce.TollCostVehicleProfile.Hybrid-">setHybridMode</a></span>(<a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.Hybrid.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.Hybrid</a> hybridMode)</code>
<div class="block">Sets vehicle running mode.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setLimitedWeight-double-">setLimitedWeight</a></span>(double limitedWeight)</code>
<div class="block">Sets total weight of the vehicle including trailer(s) or caravan in tonne.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setPassengersCount-int-">setPassengersCount</a></span>(int passengersCount)</code>
<div class="block">Set number of passengers can fit in vehicle.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setShippedHazardousGoods-com.here.android.mpa.tce.TollCostVehicleProfile.ShippedHazardousGoods-">setShippedHazardousGoods</a></span>(<a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.ShippedHazardousGoods.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.ShippedHazardousGoods</a> shippedHazardousGoods)</code>
<div class="block">Sets hazardous goods transported in the vehicle.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setTiresCount-int-">setTiresCount</a></span>(int tiresCount)</code>
<div class="block">Sets vehicle's tires count.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setTrailerCount-com.here.android.mpa.tce.TollCostVehicleProfile.TrailersCount-">setTrailerCount</a></span>(<a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.TrailersCount.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.TrailersCount</a> trailerCount)</code>
<div class="block">Sets trailer count.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setTrailerHeight-double-">setTrailerHeight</a></span>(double trailerHeight)</code>
<div class="block">Sets trailer height in meters.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setTrailerNumberAxles-int-">setTrailerNumberAxles</a></span>(int trailerNumberAxles)</code>
<div class="block">Sets number of trailer's axles.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setTrailerType-com.here.android.mpa.tce.TollCostVehicleProfile.TrailerType-">setTrailerType</a></span>(<a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.TrailerType.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.TrailerType</a> trailerType)</code>
<div class="block">Sets trailer type.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setVehicleAxles-int-">setVehicleAxles</a></span>(int axles)</code>
<div class="block">Sets number of vehicle's axles (not including trailer axles).</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setVehicleType-com.here.android.mpa.tce.TollCostVehicleProfile.VehicleType-">setVehicleType</a></span>(<a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.VehicleType.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.VehicleType</a> vehicleType)</code>
<div class="block">Sets vehicle type.</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setWeight-double-">setWeight</a></span>(double weight)</code>
<div class="block">Sets vehicle weight in tonne.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TollCostVehicleProfile--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TollCostVehicleProfile</h4>
<pre>public TollCostVehicleProfile()</pre>
<div class="block">public constructor</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setVehicleType-com.here.android.mpa.tce.TollCostVehicleProfile.VehicleType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVehicleType</h4>
<pre>public <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a> setVehicleType(<a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.VehicleType.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.VehicleType</a> vehicleType)</pre>
<div class="block">Sets vehicle type. Default is <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.VehicleType.html#AUTO"><code>TollCostVehicleProfile.VehicleType.AUTO</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>vehicleType</code> - vehicle type.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>updated instance for chaining.</dd>
</dl>
</li>
</ul>
<a name="getVehicleType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVehicleType</h4>
<pre>public <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.VehicleType.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.VehicleType</a> getVehicleType()</pre>
<div class="block">Gets vehicle type. Default is <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.VehicleType.html#AUTO"><code>TollCostVehicleProfile.VehicleType.AUTO</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>vehicle type.</dd>
</dl>
</li>
</ul>
<a name="setTrailerType-com.here.android.mpa.tce.TollCostVehicleProfile.TrailerType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTrailerType</h4>
<pre>public <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a> setTrailerType(<a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.TrailerType.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.TrailerType</a> trailerType)</pre>
<div class="block">Sets trailer type. Default is <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.TrailerType.html#NONE"><code>TollCostVehicleProfile.TrailerType.NONE</code></a>.
 <p>
 Note - <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setTrailerCount-com.here.android.mpa.tce.TollCostVehicleProfile.TrailersCount-"><code>TollCostVehicleProfile.setTrailerCount(TollCostVehicleProfile.TrailersCount)</code></a>,
 <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setTrailerHeight-double-"><code>TollCostVehicleProfile.setTrailerHeight(double)</code></a> and
 <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setTrailerNumberAxles-int-"><code>TollCostVehicleProfile.setTrailerNumberAxles(int)</code></a> should also be set, if Trailer type is not
 <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.TrailerType.html#NONE"><code>TollCostVehicleProfile.TrailerType.NONE</code></a> otherwise <a href="../../../../../com/here/android/mpa/tce/TollCostError.html" title="class in com.here.android.mpa.tce"><code>TollCostError</code></a> will be
 reported while making request.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>trailerType</code> - trailer Type</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>updated instance for chaining.</dd>
</dl>
</li>
</ul>
<a name="getTrailerType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTrailerType</h4>
<pre>public <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.TrailerType.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.TrailerType</a> getTrailerType()</pre>
<div class="block">Gets trailer type. Default is <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.TrailerType.html#NONE"><code>TollCostVehicleProfile.TrailerType.NONE</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Trailer type.</dd>
</dl>
</li>
</ul>
<a name="setTrailerCount-com.here.android.mpa.tce.TollCostVehicleProfile.TrailersCount-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTrailerCount</h4>
<pre>public <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a> setTrailerCount(<a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.TrailersCount.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.TrailersCount</a> trailerCount)</pre>
<div class="block">Sets trailer count. Default is
 <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.TrailersCount.html#VEHICLE_WITHOUT_TRAILER"><code>TollCostVehicleProfile.TrailersCount.VEHICLE_WITHOUT_TRAILER</code></a>.
 <p>
 Note - <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setTrailerType-com.here.android.mpa.tce.TollCostVehicleProfile.TrailerType-"><code>TollCostVehicleProfile.setTrailerType(TollCostVehicleProfile.TrailerType)</code></a>,
 <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setTrailerHeight-double-"><code>TollCostVehicleProfile.setTrailerHeight(double)</code></a> and <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setTrailerNumberAxles-int-"><code>TollCostVehicleProfile.setTrailerNumberAxles(int)</code></a> should also be set
 otherwise <a href="../../../../../com/here/android/mpa/tce/TollCostError.html" title="class in com.here.android.mpa.tce"><code>TollCostError</code></a> will be reported while making request.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>trailerCount</code> - number of trailer.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>updated instance for chaining.</dd>
</dl>
</li>
</ul>
<a name="getTrailerCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTrailerCount</h4>
<pre>public <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.TrailersCount.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.TrailersCount</a> getTrailerCount()</pre>
<div class="block">Gets trailer count. Default is
 <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.TrailersCount.html#VEHICLE_WITHOUT_TRAILER"><code>TollCostVehicleProfile.TrailersCount.VEHICLE_WITHOUT_TRAILER</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Trailer count.</dd>
</dl>
</li>
</ul>
<a name="setTrailerHeight-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTrailerHeight</h4>
<pre>public <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a> setTrailerHeight(double trailerHeight)</pre>
<div class="block">Sets trailer height in meters.
 <p>
 Note - <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setTrailerType-com.here.android.mpa.tce.TollCostVehicleProfile.TrailerType-"><code>TollCostVehicleProfile.setTrailerType(TollCostVehicleProfile.TrailerType)</code></a>,
 <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setTrailerCount-com.here.android.mpa.tce.TollCostVehicleProfile.TrailersCount-"><code>TollCostVehicleProfile.setTrailerCount(TollCostVehicleProfile.TrailersCount)</code></a> and
 <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setTrailerNumberAxles-int-"><code>TollCostVehicleProfile.setTrailerNumberAxles(int)</code></a> should also be set otherwise <a href="../../../../../com/here/android/mpa/tce/TollCostError.html" title="class in com.here.android.mpa.tce"><code>TollCostError</code></a> will
 be reported while making request.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>trailerHeight</code> - trailer height.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>updated instance for chaining.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if trailerHeight is not greater than 0.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setTrailerType-com.here.android.mpa.tce.TollCostVehicleProfile.TrailerType-"><code>TollCostVehicleProfile.setTrailerType(TrailerType)</code></a></dd>
</dl>
</li>
</ul>
<a name="getTrailerHeight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTrailerHeight</h4>
<pre>public double getTrailerHeight()</pre>
<div class="block">Gets trailer height in meters.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Trailer height in meters.</dd>
</dl>
</li>
</ul>
<a name="setTrailerNumberAxles-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTrailerNumberAxles</h4>
<pre>public <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a> setTrailerNumberAxles(int trailerNumberAxles)</pre>
<div class="block">Sets number of trailer's axles.
 <p>
 Note - <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setTrailerType-com.here.android.mpa.tce.TollCostVehicleProfile.TrailerType-"><code>TollCostVehicleProfile.setTrailerType(TollCostVehicleProfile.TrailerType)</code></a>,
 <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setTrailerHeight-double-"><code>TollCostVehicleProfile.setTrailerHeight(double)</code></a> and
 <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setTrailerCount-com.here.android.mpa.tce.TollCostVehicleProfile.TrailersCount-"><code>TollCostVehicleProfile.setTrailerCount(TollCostVehicleProfile.TrailersCount)</code></a> should also be set otherwise
 <a href="../../../../../com/here/android/mpa/tce/TollCostError.html" title="class in com.here.android.mpa.tce"><code>TollCostError</code></a> will be reported while making request.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>trailerNumberAxles</code> - number of trailer's axles.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>updated instance for chaining.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if trailerNumberAxles is not greater than 0.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html#setTrailerType-com.here.android.mpa.tce.TollCostVehicleProfile.TrailerType-"><code>TollCostVehicleProfile.setTrailerType(TollCostVehicleProfile.TrailerType)</code></a></dd>
</dl>
</li>
</ul>
<a name="getTrailerNumberAxles--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTrailerNumberAxles</h4>
<pre>public int getTrailerNumberAxles()</pre>
<div class="block">Gets number of trailer's axles. Default is <code>0</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Number of trailer's axles.</dd>
</dl>
</li>
</ul>
<a name="setVehicleAxles-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVehicleAxles</h4>
<pre>public <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a> setVehicleAxles(int axles)</pre>
<div class="block">Sets number of vehicle's axles (not including trailer axles). Default is <code>2</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>axles</code> - vehicle's axles</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>updated instance for chaining.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if axles is not greater than 0.</dd>
</dl>
</li>
</ul>
<a name="getVehicleAxles--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVehicleAxles</h4>
<pre>public int getVehicleAxles()</pre>
<div class="block">Gets number of vehicle's axles (not including trailer axles). Default is <code>2</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>number of vehicle's axles.</dd>
</dl>
</li>
</ul>
<a name="setHybridMode-com.here.android.mpa.tce.TollCostVehicleProfile.Hybrid-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHybridMode</h4>
<pre>public <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a> setHybridMode(<a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.Hybrid.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.Hybrid</a> hybridMode)</pre>
<div class="block">Sets vehicle running mode. Default is <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.Hybrid.html#NONE"><code>TollCostVehicleProfile.Hybrid.NONE</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>hybridMode</code> - vehicle running mode.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>updated instance for chaining.</dd>
</dl>
</li>
</ul>
<a name="getHybridMode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHybridMode</h4>
<pre>public <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.Hybrid.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.Hybrid</a> getHybridMode()</pre>
<div class="block">Gets vehicle running mode. Default is <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.Hybrid.html#NONE"><code>TollCostVehicleProfile.Hybrid.NONE</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>vehicle running mode.</dd>
</dl>
</li>
</ul>
<a name="setEmissionType-com.here.android.mpa.tce.TollCostVehicleProfile.EmissionType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEmissionType</h4>
<pre>public <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a> setEmissionType(<a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.EmissionType.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.EmissionType</a> emissionType)</pre>
<div class="block">Sets vehicle emission type. Default is <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.EmissionType.html#NONE"><code>TollCostVehicleProfile.EmissionType.NONE</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>emissionType</code> - vehicle emission type.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>updated instance for chaining.</dd>
</dl>
</li>
</ul>
<a name="getEmissionType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEmissionType</h4>
<pre>public <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.EmissionType.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.EmissionType</a> getEmissionType()</pre>
<div class="block">Gets vehicle emission type. Default is <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.EmissionType.html#NONE"><code>TollCostVehicleProfile.EmissionType.NONE</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>vehicle emission type.</dd>
</dl>
</li>
</ul>
<a name="setHeight-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHeight</h4>
<pre>public <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a> setHeight(double height)</pre>
<div class="block">Sets vehicle height in meters.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>height</code> - vehicle height in meters.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>updated instance for chaining.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if height is not greater than 0.</dd>
</dl>
</li>
</ul>
<a name="getHeight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHeight</h4>
<pre>public double getHeight()</pre>
<div class="block">Gets vehicle height in meters.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>vehicle's height.</dd>
</dl>
</li>
</ul>
<a name="setWeight-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWeight</h4>
<pre>public <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a> setWeight(double weight)</pre>
<div class="block">Sets vehicle weight in tonne.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>weight</code> - vehicle weight.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>updated instance for chaining.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if weight is not greater than 0.</dd>
</dl>
</li>
</ul>
<a name="getWeight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWeight</h4>
<pre>public double getWeight()</pre>
<div class="block">Gets vehicle weight in tonne.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>vehicle weight in tonne.</dd>
</dl>
</li>
</ul>
<a name="setLimitedWeight-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLimitedWeight</h4>
<pre>public <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a> setLimitedWeight(double limitedWeight)</pre>
<div class="block">Sets total weight of the vehicle including trailer(s) or caravan in tonne.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>limitedWeight</code> - total weight of the vehicle including trailer(s) or caravan in tonne.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>updated instance for chaining.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if limitedWeight is not greater than 0.</dd>
</dl>
</li>
</ul>
<a name="getLimitedWeight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLimitedWeight</h4>
<pre>public double getLimitedWeight()</pre>
<div class="block">Gets total weight of the vehicle including trailer(s) or caravan in tonne.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>total weight of the vehicle including trailer(s) or caravan in tonne.</dd>
</dl>
</li>
</ul>
<a name="setDisabledEquipped-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDisabledEquipped</h4>
<pre>public void setDisabledEquipped(boolean enable)</pre>
<div class="block">Sets if the vehicle is specially equipped for transporting disabled people.
 Default is <code>false</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enable</code> - if the vehicle is specially equipped for transporting disabled people.</dd>
</dl>
</li>
</ul>
<a name="isDisabledEquipped--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDisabledEquipped</h4>
<pre>public boolean isDisabledEquipped()</pre>
<div class="block">Gets if the vehicle is specially equipped for transporting disabled people.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>if the vehicle is specially equipped for transporting disabled people.</dd>
</dl>
</li>
</ul>
<a name="setPassengersCount-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPassengersCount</h4>
<pre>public <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a> setPassengersCount(int passengersCount)</pre>
<div class="block">Set number of passengers can fit in vehicle. Default is <code>1</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>passengersCount</code> - number of passengers.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>updated instance for chaining.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if passengersCount is not greater than 0.</dd>
</dl>
</li>
</ul>
<a name="getPassengersCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPassengersCount</h4>
<pre>public int getPassengersCount()</pre>
<div class="block">Gets number of passengers can fit in vehicle. Default is <code>1</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>number of passengers can fit in vehicle.</dd>
</dl>
</li>
</ul>
<a name="setTiresCount-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTiresCount</h4>
<pre>public <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a> setTiresCount(int tiresCount)</pre>
<div class="block">Sets vehicle's tires count. Default is <code>4</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tiresCount</code> - tires count.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>updated instance for chaining.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if tiresCount is not greater than 0.</dd>
</dl>
</li>
</ul>
<a name="getTiresCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTiresCount</h4>
<pre>public int getTiresCount()</pre>
<div class="block">Gets vehicle's tires count. Default is <code>4</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>vehicle's tires count.</dd>
</dl>
</li>
</ul>
<a name="setCommercial-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCommercial</h4>
<pre>public <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a> setCommercial(boolean commercial)</pre>
<div class="block">Sets if the vehicle is designed for commercial use. Default is <code>false</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>commercial</code> - if the vehicle is designed for commercial use</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>updated instance for chaining.</dd>
</dl>
</li>
</ul>
<a name="isCommercial--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCommercial</h4>
<pre>public boolean isCommercial()</pre>
<div class="block">Gets if the vehicle is designed for commercial use. Default is <code>false</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>if the vehicle is designed for commercial use</dd>
</dl>
</li>
</ul>
<a name="setShippedHazardousGoods-com.here.android.mpa.tce.TollCostVehicleProfile.ShippedHazardousGoods-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setShippedHazardousGoods</h4>
<pre>public <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a> setShippedHazardousGoods(<a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.ShippedHazardousGoods.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.ShippedHazardousGoods</a> shippedHazardousGoods)</pre>
<div class="block">Sets hazardous goods transported in the vehicle. Default is <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.ShippedHazardousGoods.html#NONE"><code>TollCostVehicleProfile.ShippedHazardousGoods.NONE</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>shippedHazardousGoods</code> - hazardous goods transported in the vehicle.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>updated instance for chaining.</dd>
</dl>
</li>
</ul>
<a name="getShippedHazardousGoods--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShippedHazardousGoods</h4>
<pre>public <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.ShippedHazardousGoods.html" title="enum in com.here.android.mpa.tce">TollCostVehicleProfile.ShippedHazardousGoods</a> getShippedHazardousGoods()</pre>
<div class="block">Gets hazardous goods transported in the vehicle. Default is <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.ShippedHazardousGoods.html#NONE"><code>TollCostVehicleProfile.ShippedHazardousGoods.NONE</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>hazardous goods transported in the vehicle.</dd>
</dl>
</li>
</ul>
<a name="setHeightAbove1stAxle-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHeightAbove1stAxle</h4>
<pre>public <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a> setHeightAbove1stAxle(int heightAbove1stAxle)</pre>
<div class="block">Sets height above 1st axle in meters.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>heightAbove1stAxle</code> - height above 1st axle.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>updated instance for chaining.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if heightAbove1stAxle is not greater than 0.</dd>
</dl>
</li>
</ul>
<a name="getHeightAbove1stAxle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHeightAbove1stAxle</h4>
<pre>public int getHeightAbove1stAxle()</pre>
<div class="block">Gets height above 1st axle in meters.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>height above 1st axle.</dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre>public int hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>hashCode</code> in class <code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>equals</h4>
<pre>public boolean equals(java.lang.Object obj)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code> in class <code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TollCostVehicleProfile.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/tce/TollCostResult.html" title="class in com.here.android.mpa.tce"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.EmissionType.html" title="enum in com.here.android.mpa.tce"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/tce/TollCostVehicleProfile.html" target="_top">Frames</a></li>
<li><a href="TollCostVehicleProfile.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
